#!/usr/local/bin/ruby

require 'tmail/tmail'

print "field name -> class test\n\n"

t = TMail::Mail.loadfrom( ARGV[0] || 'm/simple' )
t.each_header do |key, field|
  printf "name=%-20s class=%s\n", field.name + ',', field.type.name
end
